# 7.2 三角学和导数以及加法定理

> 原文： [http://math.mit.edu/~djk/calculus_beginners/chapter07/section02.html](http://math.mit.edu/~djk/calculus_beginners/chapter07/section02.html)

**简介**

在 7.1 中，我们引入了大量的三角函数而没有实际提及它。

对于真正有趣的主题，三角函数是一个冗长而令人讨厌的名称。 **Trigon** 是三角形的奇特名称;类似于八角形或五边形，Metry 指的是测量。因此，三角学意味着要么测量三角形，要么使用三角形测量其他东西，我不确定哪个;也许两者。

我们将描述剩余的重要三角函数结果。三角学的一个谜团是：为什么右三角形中六个边长比率中的每一个都有自己的特殊名称？为什么例如![](img/tex-00be57a1b0c6b690ec6e517043ea3151.gif)有自己的名字？当我在学校研究三角学时，（在史前时期），我们面对所有六个名字，并进行了测验，并期望记住哪个没有任何线索的意思。这让我们许多人失去了三角学。

![](img/48bb7f3f03213d5c823dac4a8e3a22c2.jpg)

假设我们的角度![](img/tex-61a74be60d291cc4678ab46cc1cdaf91.gif)，如图所示位于![](img/tex-9dd4e461268c8034f5c8564e155c67a6.gif)轴和线![](img/tex-0240f4008ea7945e578af97e36bce6ef.gif)之间。古人画了一条线段，它将**从点![](img/tex-9d5ed678fe57bcca610140957afab571.gif)切线到单位圆延伸到点![](img/tex-0d61f8370cad1d412f80b84d143e1257.gif)的![](img/tex-9dd4e461268c8034f5c8564e155c67a6.gif)轴。这段的长度称为角度![](img/tex-2554a2bb846cffd697389e5dc8912759.gif)的正切**。 （当线具有正斜率时，切线被认为是负的。）切线是拉丁词，意思是“触摸”，这就是这条线对圆圈的作用，点![](img/tex-9d5ed678fe57bcca610140957afab571.gif)。

**切线与![](img/tex-9dd4e461268c8034f5c8564e155c67a6.gif)轴相交的点![](img/tex-7fc56270e7a70fa81a5935b72eacbe29.gif)的![](img/tex-9dd4e461268c8034f5c8564e155c67a6.gif)坐标称为![](img/tex-2554a2bb846cffd697389e5dc8912759.gif)** 的割线（我们假设原点位于单位的中心）正确的是一个拉丁词，意思是“切割”，这就是这条线对圆圈的作用。

他们还将**定义为小于直角的角度的补码，使其成为直角与它之间的差值。** 这使得他们将**的余弦，余切和余割定义为原始角度的补数的正弦，正切和正割。**

对我们来说幸运的是，所有这六个函数都很容易与正弦函数相关，这意味着我们只需要真正熟悉正弦函数，然后我们就可以弄清楚其他函数是什么。

以下是这些函数之间的关系，所有这些函数都来自**相似三角形的相应角度相等的事实的定义。**

根据定义， **![](img/tex-9ef5a4beedb5a8e632990a9dadccda30.gif)** 是 **![](img/tex-335c6a21a8752ac36eaf695588698ecc.gif)。**

**从斜边是![](img/tex-ecc5a7389202334f21d7dfeb27956065.gif)的三角形![](img/tex-8539ef1fba74a70f5a77fcc3f25c1659.gif)和![](img/tex-2554a2bb846cffd697389e5dc8912759.gif)不相反的一侧是![](img/tex-4efb95c106bd083f57a6b473793b3f04.gif)，得到**

**![](img/tex-4d463c552965608842016f0948b009c5.gif)**

意思是

**![](img/tex-0fabbbd84d402820060235650590763c.gif)**

**补充版本是：**

**![](img/tex-83874355a35e57fe892999d2ca87e280.gif)**

从三角形![](img/tex-0aa1f1ad9b52df576d1f168ed93282f3.gif)

我们同样得到

**![](img/tex-496ff49af782dd3887b59b36671f9de7.gif)**

which means

**![](img/tex-ebef5d1f823f342f30d4b3f2a4261936.gif)**

补充版本是

**![](img/tex-efdc20b2b25c97ef6b0b7f64052ab3c9.gif)**

所以这一切都解释了为什么右三角形的每个边长比例都有自己的名称。

我非常喜欢这张照片，这里再次作为一个数学小说。

&lt;iframe frameborder="0" height="760" src="../mathlets/trigonometric-functions.html" width="100%"&gt;&lt;/iframe&gt;

**练习：**

**7.21。自己画一张这张照片，而不是看这个，一个小于![](img/tex-4dac25bca00f0be7f027fca9a002d0ad.gif)的角度![](img/tex-2554a2bb846cffd697389e5dc8912759.gif)显示所有这些实体。**

**7.22。你看到多少个相似的三角形？请记住，除了直角三角形中的直角之外的两个角度是互补的。**

**7.23。如果你在三角形![](img/tex-ebac57cbcc1da5ae9535b381304ac35c.gif)中使用正弦的定义，你会得到什么奇怪的关系？**

在上一节中，我们已经讨论过你应该知道的三角函数的三个基本定理。还有三角函数的有用“加法定理”，它描述了参数和的正弦和余弦。我们还描述了正弦和余弦的导数，以及它们与指数的关系。

**三角学的基本定理是什么？**

**1.毕达哥拉斯定理**：这个着名的结果表明**直角三角形的斜边的平方是其他两边的平方和。** 翻译成我们的定义它说，无论任何角度，我们都有

![](img/tex-5e14c1cdacef6146e43524fe2817e04b.gif)

这意味着，我们有有符号

![](img/tex-45c4abe71761d9489dc281169de60a67.gif)

2\. **正弦定律**：这表明在任何三角形![](img/tex-902fbdd2b1df0c4f70b4a5d23525e932.gif)中，![](img/tex-7fc56270e7a70fa81a5935b72eacbe29.gif)处的角度与![](img/tex-9d5ed678fe57bcca610140957afab571.gif)处的角度之比是边长的比率与![](img/tex-9d5ed678fe57bcca610140957afab571.gif)相反的一侧![](img/tex-7fc56270e7a70fa81a5935b72eacbe29.gif)。如果我们将这些长度分别描述为![](img/tex-43d3f31fdb61fef6eb9693d8f2e2a4a0.gif)和![](img/tex-2c1185fa81d9de2395901f6a55ecc107.gif)，我们就有了

![](img/tex-df2af41957e6a354ed73579197dda8a4.gif)

我们在 7.1C 节证明了这一点

3\. **余弦定律**：该陈述根据![](img/tex-b86fc6b051f63d73de262d4c34e3a0a9.gif)和![](img/tex-4144e097d2fa7a491cec2a7a4322f2bc.gif)的长度及其在![](img/tex-7fc56270e7a70fa81a5935b72eacbe29.gif)处的角度给出三角形边![](img/tex-f85b7b377112c272bc87f3e73f10508d.gif)的长度。

**![](img/tex-e61aa918edfbd95d11620930cd060855.gif)**

也在 7.1C 中得到证实

**正弦和余弦的导数**

考虑单位圆上的点![](img/tex-44c29edb103a2872f519ad0c9a0fdaaa.gif)，该圆以点![](img/tex-0d61f8370cad1d412f80b84d143e1257.gif)为中心。设![](img/tex-2554a2bb846cffd697389e5dc8912759.gif)为从线段![](img/tex-b78cc6909042016daaa04d83bac97e90.gif)到![](img/tex-9dd4e461268c8034f5c8564e155c67a6.gif)轴顺时针的角度。

然后我们有![](img/tex-03e9d588acff06de769e9d810c61c133.gif)和![](img/tex-b55629494924ce4943367eb12cd3fb68.gif)。我们知道![](img/tex-ffcd5dcba905edb2a823941885cb24bc.gif)对于单位圆上的任何![](img/tex-44c29edb103a2872f519ad0c9a0fdaaa.gif)都是![](img/tex-c4ca4238a0b923820dcc509a6f75849b.gif)，因为这是![](img/tex-ae18f520703656d100ae9049e756abff.gif)对于![](img/tex-44c29edb103a2872f519ad0c9a0fdaaa.gif)的![](img/tex-ae18f520703656d100ae9049e756abff.gif)是![](img/tex-c4ca4238a0b923820dcc509a6f75849b.gif)的陈述，这是单位圆的定义。

这意味着当我们在单位圆周围移动时，![](img/tex-ffcd5dcba905edb2a823941885cb24bc.gif)的导数是![](img/tex-cfcd208495d565ef66e7dff9f98764da.gif)是![](img/tex-cfcd208495d565ef66e7dff9f98764da.gif)。这告诉我们

![](img/tex-449bfb24a51e0cd33d84cf124f507d72.gif)

这意味着具有组分![](img/tex-9ef5a4beedb5a8e632990a9dadccda30.gif)和![](img/tex-a6c1c66d77faac81541d49d3bba6b93e.gif)的载体具有![](img/tex-cfcd208495d565ef66e7dff9f98764da.gif)点积，其载体的成分是它们相应的导数。

幸运的是，很容易找到具有给定的![](img/tex-cfcd208495d565ef66e7dff9f98764da.gif)点积的二维中的所有向量：反转组件，改变其中一个符号，并乘以任何常数![](img/tex-4a8a08f09d37b73795649038408b5f33.gif)。因此![](img/tex-2d05e1f15387f87456155cd96cc06235.gif)（写入![](img/tex-a2ce4da5726332d6f894194def59be45.gif)的较短方式）具有![](img/tex-cfcd208495d565ef66e7dff9f98764da.gif)的![](img/tex-cfcd208495d565ef66e7dff9f98764da.gif)点积。

这告诉我们![](img/tex-a95012d806be973346ebd8d4bdb4fc81.gif)和![](img/tex-629f14a586df7bc611abf495a8e6899c.gif)，对于某些常数![](img/tex-4a8a08f09d37b73795649038408b5f33.gif)。

我们可以通过在![](img/tex-7bc661a80c761d3325a18363117f4657.gif)的点检查这些陈述来确定常数![](img/tex-4a8a08f09d37b73795649038408b5f33.gif)。

如果我们的角度是以弧度为单位测量的，我们观察到在单位圆上，从角度![](img/tex-cfcd208495d565ef66e7dff9f98764da.gif)移动距离![](img/tex-04f2d0c9d8a349b628f6ca11b3fbf3f4.gif)会将正弦从![](img/tex-cfcd208495d565ef66e7dff9f98764da.gif)变为几乎![](img/tex-4fc36a43689be4bac905a111742fbac4.gif)。因此，上面的常数![](img/tex-4a8a08f09d37b73795649038408b5f33.gif)在角度![](img/tex-cfcd208495d565ef66e7dff9f98764da.gif)处是![](img/tex-c4ca4238a0b923820dcc509a6f75849b.gif)，并且是常数，总是![](img/tex-c4ca4238a0b923820dcc509a6f75849b.gif)。

我们总结![](img/tex-6ec3ef8c129360cafb2553752210b451.gif)。 （后者的关系实际上来自前者，因为![](img/tex-9ef5a4beedb5a8e632990a9dadccda30.gif)是![](img/tex-0ce548ed6420835aee3edded67b718d6.gif)。

**练习 7.25：从这些事实中推断割线的导数和切线。**

**为什么不告诉我们答案？**

**如果我们这样做，你将无法记住它们。如果你自己弄明白，你会忘记它们。**

通过查看组合![](img/tex-87d37639e5405ab58200e423a5eec7da.gif)得到一个有趣的结果。 （![](img/tex-865c0c0b4ab0e063e5caa3387c1a8741.gif)这里是![](img/tex-6bb61e3b7bce0931da574d19d1d82c88.gif)的平方根。）请注意，它的导数是![](img/tex-865c0c0b4ab0e063e5caa3387c1a8741.gif)次。它在![](img/tex-3dad28281778d5ef4b7a78c7bc7a6b09.gif)的价值是![](img/tex-c4ca4238a0b923820dcc509a6f75849b.gif)。我们知道这意味着什么。衍生自![](img/tex-7694f4a66316e53c8cdd9d9954bd611d.gif)倍的函数，其![](img/tex-3dad28281778d5ef4b7a78c7bc7a6b09.gif)的值为![](img/tex-c4ca4238a0b923820dcc509a6f75849b.gif)，是![](img/tex-2c3896410f01b9b44d235763e72f39aa.gif)。

因此我们找到：![](img/tex-23759a606b6aa6b3bfa400c60fb2f54d.gif)。

通常我们可以将任何函数![](img/tex-8fa14cdd754f91cc6554c9e71929cce7.gif)分成奇数部分和偶数部分;偶数部分是![](img/tex-21247109ff97613873020a42db49cce0.gif)，奇数部分是![](img/tex-fb71d40883cd91c59c78d78dccf5d126.gif)。两部分的总和是![](img/tex-50bbd36e1fd2333108437a2ca378be62.gif)。

由于![](img/tex-96eb9bf5314b593783ee57983efbed9d.gif)是偶数且![](img/tex-cdba58911c590ced3e2435dfa39f6873.gif)是奇数，我们可以将![](img/tex-96eb9bf5314b593783ee57983efbed9d.gif)识别为![](img/tex-e47e7f95fb832399707222053e5e23d8.gif)的偶数部分，并将![](img/tex-f251480c9fe4c8715cd98b949b6833c7.gif)识别为奇数部分。

正式表达是

**![](img/tex-a2c99125f358dacaecd8f8e765882be5.gif)**

和

**![](img/tex-1a7915ed1323679af340e9faf99bd1f0.gif)**

**正弦和余弦的电源系列扩展**

我们已经看到![](img/tex-5bbb3e1a8fe02d91c70aa7ce860cffbc.gif)是![](img/tex-c4ca4238a0b923820dcc509a6f75849b.gif)。由于正弦的导数是余弦，![](img/tex-cdba58911c590ced3e2435dfa39f6873.gif)，当写为![](img/tex-9dd4e461268c8034f5c8564e155c67a6.gif)的幂之和时，必须在该导数中有一个项，其导数为![](img/tex-c4ca4238a0b923820dcc509a6f75849b.gif)。这必须是![](img/tex-9dd4e461268c8034f5c8564e155c67a6.gif)，因此![](img/tex-cdba58911c590ced3e2435dfa39f6873.gif)的幂级数扩展的第一项是![](img/tex-9dd4e461268c8034f5c8564e155c67a6.gif)。余弦具有导数![](img/tex-7abed5eafabc365c704e4189663f0867.gif)，因此它必须在其幂级数展开中有一个项，其导数为![](img/tex-d25c186e3f3096a9ff4a918f7b3141d4.gif)，该项必须为![](img/tex-9ac001dd74151f1683c749a8fc75ce6f.gif)。 ![](img/tex-cdba58911c590ced3e2435dfa39f6873.gif)同样必须有一个术语，其导数是![](img/tex-090ea2f6e90dc473211bfba3b16387e4.gif);这迫使余弦系列中的一个术语为![](img/tex-1fc943c77851ab30094f8dfcd392f799.gif)等。

**那我们得到了什么？**

正弦有所有奇数力量的贡献，它们的符号交替出现：

**![](img/tex-f3f583f53d480551a4beb0d57ed06697.gif)**

而余弦同样具有来自偶数幂的交替符号项：

**![](img/tex-6b100081714be317af2638a62750cc17.gif)**

顺便说一句，![](img/tex-459296b2f64630c96a76eac9a70343b7.gif)和![](img/tex-4ce329f2b1214adc7ee087f3fde40f46.gif)是![](img/tex-f816c6890016193bb7c1429c6dfa7460.gif)的偶数和奇数部分。它们的幂级数扩展类似于余弦和正弦的扩展，除了所有项都是正的。

所有三角函数都有幂级数表达式，但如果你想这样做，你可以自己解决它们，从它们的关系到正弦和角度的余弦

**加法定理**

**什么是加法定理？**

我们已经注意到，以度或弧度表示的角度的标准度量是相加的：这两个角度之和的度量是每个求和的相同度量的总和。这种说法不适用于正弦或余弦。两个角度之和的正弦值是**而不是**它们的正弦之和。加法定理告诉我们如何根据求和的两个角的正弦和余弦来计算两个角之和的正弦和余弦。

找到或证明正弦和余弦的加法定理的最简单方法是使用它们与指数的关系。我们已经知道指数的加法定理：

**![](img/tex-48c91b1977cd58c77142e8508e0adbea.gif)**

由于![](img/tex-e47e7f95fb832399707222053e5e23d8.gif)是![](img/tex-f3a1c937fb7edbabe1d211f809a1c787.gif)，我们发现![](img/tex-86fe10a4cf81f959f1b80267c371fd22.gif)是

![](img/tex-93e90429f765489a1567121e6e1b3b0b.gif)

是的

**![](img/tex-77e57ed9400d2dbafafdba9950b667a6.gif)**

**最后一个表达式的实部是![](img/tex-9ad36817cfebf4adbe0ff9242f8de709.gif)，虚部是![](img/tex-2b193c21976478162e25107ff9d6d603.gif)，这些是我们的加法定理。**

仓促：

![](img/tex-8a6a9024731ec499fec471ba72af4644.gif)

从 7.2 节顶部图片中的三角形![](img/tex-c5878c0c0199e57e3e999f7dc4add33f.gif)，我们发现最后一个是![](img/tex-16eb62d7b09f3e61d4148a22726a6e6d.gif)。

![](img/tex-655db1245371180c1c75e26c9f47b503.gif)