# 15.4 求解行列式

> 原文： [http://math.mit.edu/~djk/calculus_beginners/chapter15/section04.html](http://math.mit.edu/~djk/calculus_beginners/chapter15/section04.html)

那么，从前两个事实来看，我们可以计算任何行列式的值，从而计算任何平行边图的面积或体积或任何值。

**怎么样？**

好吧，我们可以将多个行相加，以摆脱对角线元素。当我们完成时，我们可以推断出行列式的值是对角元素的乘积。

实际上，我们只需要将对角线一侧的元素设为![](img/tex-cfcd208495d565ef66e7dff9f98764da.gif)，并取对角线元素的乘积。摆脱其他人有时是一件好事，但根本不会影响对角元素。

让我们评估以下数组的行列式：

![](img/tex-83e51945ec514ebf7c39f98d14f4e977.gif)

如果我们从第一个矩阵中的第二行中减去![](img/tex-e4da3b7fbbce2345d7772b0674a318d5.gif)乘以第一行，我们得到第二行的![](img/tex-0e0518808e2bcdd89e1dc0342d0c3727.gif)，因此行列式为![](img/tex-b3149ecea4628efd23d2f86e5a723472.gif)。在第二个数组中，我们从第二个数组中减去![](img/tex-665ecd7719a119a777670a43e5d81dde.gif)乘以第一行，并将![](img/tex-a3132140ec9b17eb18b40e7c4f0243d3.gif)作为新的第二行。因此，第二基质的行列式是![](img/tex-e9e2d0e7f31469e64f6434cd932d5861.gif)或![](img/tex-a87ff679a2f3e71d9181a67b7542122c.gif)。

这通过线性告诉我们这两个矩阵之和的行列式，

![](img/tex-b38f4b90f12d696dc0ac2df961a66f7a.gif)

是![](img/tex-557810e78db80d0682c17fbec3e7df6b.gif)或![](img/tex-c4ca4238a0b923820dcc509a6f75849b.gif)。我们可以通过从第二行中减去第一行的![](img/tex-1b5b2d97ef46fb94f5352e5646ded321.gif)来验证这一点，将第二行转换为![](img/tex-88ca3eb1c27dbd4b2ea2a65ba0652cb3.gif)，并且对角元素的乘积是![](img/tex-c4ca4238a0b923820dcc509a6f75849b.gif)。当两个数组具有相同的基数时，您可以以这种方式应用行列式的线性，并且仅在非基数行中不同。

用于评估两个矩阵上使用的行列式（有时称为“行减少”，有时称为“高斯消除”）的这个过程可以应用于任何大小的正方形阵列。 ![](img/tex-c81e728d9d4c2f636f067f89cc14862c.gif)阵列很容易为![](img/tex-c81e728d9d4c2f636f067f89cc14862c.gif)做，但即使这样也很容易出错。对于![](img/tex-eccbc87e4b5ce2fe28308fd9f2a7baf3.gif)而言![](img/tex-eccbc87e4b5ce2fe28308fd9f2a7baf3.gif)仍然相当容易，但是大多数人会在这个过程中犯下一些愚蠢的错误，因为这样做的步骤太无聊了，而且大部分时间都会出错。即使你和我可以期望![](img/tex-a87ff679a2f3e71d9181a67b7542122c.gif)行列式在大多数情况下通过这种方法手动完成时也会错误![](img/tex-a87ff679a2f3e71d9181a67b7542122c.gif)，因为这些步骤非常简单且无趣。你的思想会一路走来，你很有可能搞砸了。

**这是评估行列式的唯一方法吗？**

不，至少还有其他两种方式，其中一种方式同样无聊，容易出错。另一个是神奇而有趣的，但令人惊讶的是它从未被教过，很少有人听说过它。

一种标准方法是为刚刚描述的方法的结果编写公式。如果从行![](img/tex-8f1f56c08f93a3a0589a20b64ef42462.gif)和![](img/tex-df91e7b0402fbda289e8ee7e78241c5c.gif)开始。要将![](img/tex-4a8a08f09d37b73795649038408b5f33.gif)转换为![](img/tex-cfcd208495d565ef66e7dff9f98764da.gif)，请从第二行减去![](img/tex-093f8a967400f274ba09d084a57ef1af.gif)的第一行。得到的对角元素是![](img/tex-0cc175b9c0f1b6a831c399e269772661.gif)和![](img/tex-8ac376a45d027258fc8b259c9be1a92c.gif)，它们的产物是 **![](img/tex-6266cf258ef35603d31c7da7ed527c02.gif)** 。这是一般二乘二阵列的行列式的公式。计算三乘三个行列式的标准方法是在三个向下倾斜的对角线上取条目的乘积，并从它们的总和中减去三个向上倾斜的对角线中的每一个上的条目乘积的总和。

**练习 15.6 通过上述任何方法评估以下行列式。**

![](img/tex-bae031b33b2092dfde5f48b100356657.gif)

**那么神奇的方法是什么？**